import React, { Component } from 'react';

import {
  BrowserRouter as Router,
  Switch,
  Route,
  Link
} from "react-router-dom";

import '../styles/App.css';
import Header from './header'
import ListAnnonce from './list-annonces';
import CreateAnnonce from './createAnnonce';
import DetailAnnonce from './detail-annonce';

import SignIn from './../containers/SignIn';

function App() {

  return (
    <Router>
      
      <div className="container">
        <Switch>
          <Route path="/annonces/create">
            <CreateAnnonce/>        
          </Route>

          <Route path="/sign-in">
            <SignIn />  
          </Route>

          <Route path="/">
            <ListAnnonce/>  
          </Route>
        </Switch>
      </div>
    </Router>
  );
}

export default App;
